Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Jul 2025 14:22:40 +0300

> Date: Tue, 22 Jul 2025 20:15:51 +0200
> From: Samuel Thibault <[email-masked]>
> Cc: Seb Hinderer <[email-masked]>, [email-masked],
> 	[email-masked], [email-masked]
> 
> Eli Zaretskii, le mar. 22 juil. 2025 17:26:06 +0300, a ecrit:
> > > Eli Zaretskii (2025/07/22 16:18 +0300):
> > > > What we need is to implement a prototype of the change to disable the
> > > > above, and then time it on a large enough buffer.
> > > 
> > > Assuming the time actually does depend on the buffer's size, whihc I am
> > > very not convinced about.
> > 
> > The buffer size is a means to get a good average measure of the speed.
> 
> But it also makes saving one byte even less a bonus... I tried to write
> 100 right-left movements (\t\b\b vs \e[C\b) at a time, the \t\b trick
> takes ~30s while the standard \e[C takes ~5s.

As I wrote elsewhere, I'm interested in a real-life test case, such as
paging through xdisp.c or some other large C source file.  Synthetic
test cases are less useful in this case.